@echo off
if %1$ == $ echo **************************************************************
if %1$ == $ echo . Usage : flx40 NW_drive
if %1$ == $ echo .
if %1$ == $ echo . Example : flx40 f:
if %1$ == $ echo .   
if %1$ == $ echo . where f: = Network drive mapped to SYS: 
if %1$ == $ echo **************************************************************
if %1$ == $ goto exit


echo .*************************************************************************
echo .                          I M P O R T A N T
echo .
echo . This patch is for updating FLeX/IP product to run on NetWare 4.0 ONLY!!!
echo . If you are planning to run FLeX/IP on NetWare 3.11, please use flx311.bat
echo .
echo .          You will need 2 MB of disk space to apply this patch
echo .*************************************************************************
echo .
ask "      Do you want to continue with the patch? <y/n>:",yn
if errorlevel 2 goto exit

echo .
echo . Copying files from the server.......
echo .


copy %1\system\nfs.nam > nul
copy %1\system\v_nfs.nlm > nul
copy %1\system\pkernel.nlm > nul
copy %1\system\plpdcfg.nlm > nul
copy %1\system\ftpserv.nlm > nul
copy %1\system\inetd.nlm > nul
copy %1\system\flexcon.nlm > nul

echo .
echo . Updating files....
echo .

patch ptf-f146 > nul


echo .
echo . Copying files back to server : Phase 1
echo .
flag %1\system\nfs.nam rw > nul
flag %1\system\v_nfs.nlm rw > nul
flag %1\system\plpd.nlm rw > nul
flag %1\system\xconsole.nlm rw > nul
flag %1\system\pkernel.nlm rw > nul
flag %1\system\rpcbstub.nlm rw > nul
flag %1\system\filter.nlm rw > nul
flag %1\system\fltrlib.nlm rw > nul
flag %1\system\plpdcfg.nlm rw > nul
flag %1\system\lpr_psrv.nlm rw > nul
flag %1\system\lpr_gwy.nlm rw > nul
flag %1\system\ftpserv.nlm rw > nul
flag %1\system\inetd.nlm rw > nul
flag %1\system\flexcon.nlm rw > nul
flag %1\public\lprinst rw > nul
flag %1\public\lpr_ip.isc rw > nul
flag %1\public\lpr_ip.sco rw > nul
flag %1\public\lpstat.isc rw > nul
flag %1\public\lpstat.sco rw > nul


echo .
echo . Copying files back to server : Phase 2
echo .
copy nfs.nam %1\system\nfs.nam > nul
copy v_nfs.nlm %1\system\v_nfs.nlm > nul
copy plpd.nlm %1\system\plpd.nlm > nul
copy xconsole.nlm %1\system\xconsole.nlm > nul
copy pkernel.nlm %1\system\pkernel.nlm > nul
copy rpcbstub.nlm %1\system\rpcbstub.nlm > nul
copy filter.nlm %1\system\filter.nlm > nul
copy fltrlib.nlm %1\system\fltrlib.nlm > nul
copy plpdcfg.nlm %1\system\plpdcfg.nlm > nul
copy lpr_psrv.nlm %1\system\lpr_psrv.nlm > nul
copy lpr_gwy.nlm %1\system\lpr_gwy.nlm > nul
copy ftpserv.nlm %1\system\ftpserv.nlm > nul
copy inetd.nlm %1\system\inetd.nlm > nul
copy flexcon.nlm %1\system\flexcon.nlm > nul
copy lprinst %1\public\lprinst > nul
copy lpr_ip.sco %1\public\lpr_ip.sco > nul
copy lpr_ip.isc %1\public\lpr_ip.isc > nul
copy lpstat.sco %1\public\lpstat.sco > nul
copy lpstat.isc %1\public\lpstat.isc > nul
copy plpddef.exe %1\public\plpddef.exe > nul
copy printdef.hlp %1\public\printdef.hlp > nul



echo .
echo . Copying files back to server : Phase 3
echo .
flag %1\system\nfs.nam rosh > nul
flag %1\system\v_nfs.nlm rosh > nul
flag %1\system\plpd.nlm rosh > nul
flag %1\system\xconsole.nlm rosh > nul
flag %1\system\pkernel.nlm rosh > nul
flag %1\system\rpcbstub.nlm rosh > nul
flag %1\system\filter.nlm rosh > nul
flag %1\system\fltrlib.nlm rosh > nul
flag %1\system\plpdcfg.nlm rosh > nul
flag %1\system\lpr_psrv.nlm rosh > nul
flag %1\system\lpr_gwy.nlm rosh > nul
flag %1\system\ftpserv.nlm rosh > nul
flag %1\system\inetd.nlm rosh > nul
flag %1\system\flexcon.nlm rosh > nul
flag %1\public\lprinst rosh > nul
flag %1\public\lpr_ip.isc rosh > nul
flag %1\public\lpr_ip.sco rosh > nul
flag %1\public\lpstat.isc rosh > nul
flag %1\public\lpstat.sco rosh > nul
flag %1\public\plpddef.exe rosh > nul
flag %1\public\printdef.hlp rosh > nul

echo .
echo . deleting temporary files
echo .

del plpd.nlm  > nul
del xconsole.nlm  > nul
del pkernel.nlm  > nul
del rpcbstub.nlm  > nul
del filter.nlm  > nul
del fltrlib.nlm  > nul
del plpdcfg.nlm  > nul
del lpr_psrv.nlm > nul
del lpr_gwy.nlm > nul
del ftpserv.nlm  > nul
del inetd.nlm  > nul
del flexcon.nlm  > nul
del lprinst  > nul
del lpr_ip.sco  > nul
del lpr_ip.isc  > nul
del lpstat.sco  > nul
del lpstat.isc  > nul
del bcastlib.nlm > nul
del inetdfix.nlm > nul
del plpddef.exe > nul
del printdef.hlp > nul


echo . 
echo . NOTE !
echo . ***********************************************************************
echo . Now Update the NFS NAME SPACE on server
echo . 
echo . Please make sure that everyone has logged out. 
echo . "down" and "exit" the server and copy nfs.nam and v_nfs.nlm to 
echo . c:\server.40, your boot directory.
echo . ***********************************************************************
echo .



:exit
exit
