@echo off
if %1$ == $ echo ***************************************************************
if %1$ == $ echo . Usage: flx311 NW_drive
if %1$ == $ echo .
if %1$ == $ echo . Example : flx311 f:
if %1$ == $ echo .
if %1$ == $ echo .    where   f: =  Network drive mapped to SYS: directory
if %1$ == $ echo ***************************************************************
if %1$ == $ goto exit

@echo off
echo .*************************************************************************
echo .                          I M P O R T A N T                             
echo .
echo . This patch is for updating FLeX/IP product for NetWare 3.11 ONLY!!!
echo . If you are planning to run FLeX/IP on NetWare 4.0, please use flx40.bat
echo .
echo .       You need approximately 2 MB disk space to apply this patch.
echo .
echo .*************************************************************************
echo .
echo .
ask "Do you want to continue with the patch? <y/n>:",yn
if errorlevel 2 goto exit

echo .
echo . Copying files to local directory 
echo .
copy %1\system\v_nfs.nlm > nul
copy %1\system\nfs.nam > nul
copy %1\system\pkernel.nlm  > nul
copy %1\system\plpdcfg.nlm  > nul
copy %1\system\ftpserv.nlm  > nul
copy %1\system\inetd.nlm > nul
copy %1\system\flexcon.nlm > nul


echo .
echo . Updating Files
echo .

patch ptf-f146 > nul

echo .
echo . Copying files back to server : phase 1
echo .
flag %1\system\v_nfs.nlm rw > nul
flag %1\system\plpd.nlm rw > nul
flag %1\system\xconsole.nlm rw > nul
flag %1\system\pkernel.nlm rw > nul
flag %1\system\rpcbstub.nlm rw > nul
flag %1\system\filter.nlm rw > nul
flag %1\system\fltrlib.nlm rw > nul
flag %1\system\plpdcfg.nlm rw > nul
flag %1\system\lpr_psrv.nlm rw > nul
flag %1\system\lpr_gwy.nlm rw > nul
flag %1\system\ftpserv.nlm rw > nul
flag %1\system\inetd.nlm rw > nul
flag %1\system\flexcon.nlm rw > nul
flag %1\system\bcastlib.nlm rw > nul
flag %1\system\inetdfix.nlm rw > nul
flag %1\public\lprinst rw > nul
flag %1\public\lpr_ip.isc rw > nul
flag %1\public\lpr_ip.sco rw > nul
flag %1\public\lpstat.isc rw > nul
flag %1\public\lpstat.sco rw > nul



echo .
echo . Copying files back to server : phase 2
echo .
copy v_nfs.nlm %1\system\v_nfs.nlm > nul
copy plpd.nlm %1\system\plpd.nlm > nul
copy xconsole.nlm %1\system\xconsole.nlm > nul
copy pkernel.nlm %1\system\pkernel.nlm > nul
copy rpcbstub.nlm %1\system\rpcbstub.nlm > nul
copy filter.nlm %1\system\filter.nlm > nul
copy fltrlib.nlm %1\system\fltrlib.nlm > nul
copy plpdcfg.nlm %1\system\plpdcfg.nlm > nul
copy lpr_psrv.nlm %1\system\lpr_psrv.nlm > nul
copy lpr_gwy.nlm %1\system\lpr_gwy.nlm > nul
copy ftpserv.nlm %1\system\ftpserv.nlm > nul
copy inetd.nlm %1\system\inetd.nlm > nul
copy flexcon.nlm %1\system\flexcon.nlm > nul
copy bcastlib.nlm %1\system\bcastlib.nlm > nul
copy inetdfix.nlm %1\system\inetdfix.nlm > nul
copy lprinst %1\public\lprinst > nul
copy lpr_ip.sco %1\public\lpr_ip.sco > nul
copy lpr_ip.isc %1\public\lpr_ip.isc > nul
copy lpstat.sco %1\public\lpstat.sco > nul
copy lpstat.isc %1\public\lpstat.isc > nul

echo .
echo . Copying files back to server : phase 3
echo .
flag %1\system\v_nfs.nlm ros > nul
flag %1\system\plpd.nlm ros > nul
flag %1\system\xconsole.nlm ros > nul
flag %1\system\pkernel.nlm ros > nul
flag %1\system\rpcbstub.nlm ros > nul
flag %1\system\filter.nlm ros > nul
flag %1\system\fltrlib.nlm ros > nul
flag %1\system\plpdcfg.nlm ros > nul
flag %1\system\lpr_psrv.nlm ros > nul
flag %1\system\lpr_gwy.nlm ros > nul
flag %1\system\ftpserv.nlm ros > nul
flag %1\system\inetd.nlm ros > nul
flag %1\system\flexcon.nlm ros > nul
flag %1\system\inetdfix.nlm ros > nul
flag %1\system\bcastlib.nlm ros > nul
flag %1\public\lprinst ros > nul
flag %1\public\lpr_ip.isc ros > nul
flag %1\public\lpr_ip.sco ros > nul
flag %1\public\lpstat.isc ros > nul
flag %1\public\lpstat.sco ros > nul


echo .
echo . Deleting temporary files
echo .
del nfs.nam
del plpd.nlm 
del xconsole.nlm 
del pkernel.nlm 
del rpcbstub.nlm 
del filter.nlm 
del fltrlib.nlm 
del plpdcfg.nlm 
del lpr_psrv.nlm 
del lpr_gwy.nlm
del ftpserv.nlm 
del inetd.nlm 
del flexcon.nlm 
del bcastlib.nlm 
del inetdfix.nlm 
del lprinst 
del lpr_ip.sco 
del lpr_ip.isc 
del lpstat.sco 
del lpstat.isc 
del plpddef.exe
del printdef.hlp

echo .*****************************************************************
echo . 
echo . Now copy file named v_nfs.nlm to server's boot directory. 
echo .
echo .*****************************************************************


:exit
exit
